com.genesyslab.wfm8.API.service.config812

## Class CfgColors

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgColors

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgColors
      extends java.lang.Object
      implements java.io.Serializable

  Defines default colors for schedule stae types
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` Timestamp value
    `protected java.util.List<java.lang.Integer>` | `wmColors` An array of RGB color values, one for every schedule state type.
    `protected int` | `wmColorsNSizeIs` Number of elements in the wmColors array
    `protected java.util.List<java.lang.Integer>` | `wmFontColors` An array of RGB color values, one each for the font of every schedule state type.
    `protected int` | `wmFontColorsNSizeIs` Number of elements in the wmFontColors array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgColors()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<java.lang.Integer>` | `getWmColors()` Gets the value of the wmColors property.
    `int` | `getWmColorsNSizeIs()` Gets the value of the wmColorsNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmFontColors()` Gets the value of the wmFontColors property.
    `int` | `getWmFontColorsNSizeIs()` Gets the value of the wmFontColorsNSizeIs property.
    `int` | `hashCode()`
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmColors(java.util.List<java.lang.Integer> wmColors)` Sets the value of the wmColors property.
    `void` | `setWmColorsNSizeIs(int value)` Sets the value of the wmColorsNSizeIs property.
    `void` | `setWmFontColors(java.util.List<java.lang.Integer> wmFontColors)` Sets the value of the wmFontColors property.
    `void` | `setWmFontColorsNSizeIs(int value)` Sets the value of the wmFontColorsNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgColors` | `withTimestamp(long value)`
    `CfgColors` | `withWmColors(java.util.Collection<java.lang.Integer> values)`
    `CfgColors` | `withWmColors(java.lang.Integer... values)`
    `CfgColors` | `withWmColorsNSizeIs(int value)`
    `CfgColors` | `withWmFontColors(java.util.Collection<java.lang.Integer> values)`
    `CfgColors` | `withWmFontColors(java.lang.Integer... values)`
    `CfgColors` | `withWmFontColorsNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmColorsNSizeIs

          protected int wmColorsNSizeIs

      Number of elements in the wmColors array

    - #### wmColors

          protected java.util.List<java.lang.Integer> wmColors

      An array of RGB color values, one for every schedule state type. The value of the schedule type enumerator (`ESchStateType`) should be used as an index for the wmColors array. Color values of -1 stand for NULL.

    - #### wmFontColorsNSizeIs

          protected int wmFontColorsNSizeIs

      Number of elements in the wmFontColors array

    - #### wmFontColors

          protected java.util.List<java.lang.Integer> wmFontColors

      An array of RGB color values, one each for the font of every schedule state type. The value of the schedule type enumerator (`ESchStateType`) should be used as an index for the wmColors array. Color values of -1 stand for NULL.

    - #### timestamp

          protected long timestamp

      Timestamp value

  - ### Constructor Detail

    - #### CfgColors

          public CfgColors()

  - ### Method Detail

    - #### getWmColorsNSizeIs

          public int getWmColorsNSizeIs()

      Gets the value of the wmColorsNSizeIs property.

    - #### setWmColorsNSizeIs

          public void setWmColorsNSizeIs(int value)

      Sets the value of the wmColorsNSizeIs property.

    - #### getWmColors

          public java.util.List<java.lang.Integer> getWmColors()

      Gets the value of the wmColors property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmColors property.

      For example, to add a new item, do as follows:

              getWmColors().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmFontColorsNSizeIs

          public int getWmFontColorsNSizeIs()

      Gets the value of the wmFontColorsNSizeIs property.

    - #### setWmFontColorsNSizeIs

          public void setWmFontColorsNSizeIs(int value)

      Sets the value of the wmFontColorsNSizeIs property.

    - #### getWmFontColors

          public java.util.List<java.lang.Integer> getWmFontColors()

      Gets the value of the wmFontColors property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmFontColors property.

      For example, to add a new item, do as follows:

              getWmFontColors().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmColorsNSizeIs

          public CfgColors withWmColorsNSizeIs(int value)

    - #### withWmColors

          public CfgColors withWmColors(java.lang.Integer... values)

    - #### withWmColors

          public CfgColors withWmColors(java.util.Collection<java.lang.Integer> values)

    - #### withWmFontColorsNSizeIs

          public CfgColors withWmFontColorsNSizeIs(int value)

    - #### withWmFontColors

          public CfgColors withWmFontColors(java.lang.Integer... values)

    - #### withWmFontColors

          public CfgColors withWmFontColors(java.util.Collection<java.lang.Integer> values)

    - #### withTimestamp

          public CfgColors withTimestamp(long value)

    - #### setWmColors

          public void setWmColors(java.util.List<java.lang.Integer> wmColors)

      Sets the value of the wmColors property.
      Parameters:
        `wmColors` - allowed object is `Integer`

    - #### setWmFontColors

          public void setWmFontColors(java.util.List<java.lang.Integer> wmFontColors)

      Sets the value of the wmFontColors property.
      Parameters:
        `wmFontColors` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.